cURL
curl --request POST \ --url https://api.hypercore.vn/network/reserved_ips/convert \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "ip_address": "127.0.0.1", "team_id": "<string>", "name": "<string>" } '
{ "reserved_ip": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "location": "<string>", "status": "active", "billing_cycle": 123, "renewal_date": "2023-11-07T05:31:56Z", "last_renewal": "2023-11-07T05:31:56Z", "recurring_amount": 123, "currency": "<string>", "total_billed": 123, "ip_addr": "127.0.0.1", "suspension_reason": "<string>", "attachment": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } } }
Convert an existing VM’s primary public IP address into a reserved IP (floating IP)
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The VM's primary public IP address to convert
Team ID that owns the VM. If not provided, uses the user's primary team
Custom name for the reserved IP (defaults to IP address if not provided)
64
IP successfully converted to reserved IP
Show child attributes